de.dhbwstuttgart.typeinference.unify

## Class FC_TTO

- java.lang.Object
- - de.dhbwstuttgart.typeinference.unify.FC_TTO

-     public class FC_TTO
      extends java.lang.Object

  Hilfsklasse fÃ¯Â¿Â½r den Unifizierungsalgorithmus
  Version:
    $Date: 2013/05/12 14:00:05 $
  Author:
    Martin PlÃ¯Â¿Â½micke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) Menge<Class>` | `CLASSVEC`
    `(package private) Menge<Pair>` | `FC`
    `(package private) Menge` | `TTO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FC_TTO(Menge<Pair> fc, Menge tto, Menge<Class> classv)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generateFullyNamedTypes(TypeAssumptions ass)`
    `Menge<Class>` | `getClasses()`
    `Menge<Pair>` | `getFC()`
    `Menge` | `getTTO()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FC

          Menge<Pair> FC

    - #### TTO

          Menge TTO

    - #### CLASSVEC

          Menge<Class> CLASSVEC

  - ### Constructor Detail

    - #### FC_TTO

          public FC_TTO(Menge<Pair> fc,
                        Menge tto,
                        Menge<Class> classv)

  - ### Method Detail

    - #### getFC

          public Menge<Pair> getFC()

    - #### getTTO

          public Menge getTTO()

    - #### getClasses

          public Menge<Class> getClasses()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### generateFullyNamedTypes

          public void generateFullyNamedTypes(TypeAssumptions ass)